Bug 29932 - Исправить в perl-Apache-Session зависимость на apache-mod_perl-base
: Исправить в perl-Apache-Session зависимость на apache-mod_perl-base
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perl-Apache-Session)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2014-03-31 20:24 by
Modified: 2014-04-01 17:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-03-31 20:24:03
Сейчас perl-Apache-Session собирается так, что получает зависимость на 
perl(Apache.pm) (= 1.270), то есть пакет apache-mod_perl-base (для первого
апача).

К Fedora имеется такой патч, который, видимо, устранит проблему:

 - make Session::Generate::ModUsertrack work with MP2.

--- Apache-Session-1.89/lib/Apache/Session/Generate/ModUsertrack.pm    
2001-10-11 10:43:32.000000000 -0700
+++ Apache-Session-1.89/lib/Apache/Session/Generate/ModUsertrack.pm.mp2
2005-09-07 16:01:11.798128185 -0700
@@ -15,8 +15,14 @@

     if (!exists $cookies{$name} && MOD_PERL) {
        # no cookies, try to steal from notes
-       require Apache;
-       my $r = Apache->request;
+       my $r;
+       if ( $ENV{MOD_PERL_API_VERION} == 2 ) {
+           require Apache2::RequestUtil;
+           $r = Apache2::RequestUtil->request;
+       } else {
+           require Apache;
+           $r = Apache->request;
+       }
        %cookies = CGI::Cookie->parse($r->notes('cookie'));
     }
------- Comment #1 From 2014-03-31 21:06:51 -------
perl-Apache-Session-1.92-alt2 -> sisyphus:

* Mon Mar 31 2014 Igor Vlasenko <viy@altlinux> 1.92-alt2
- dropped dependency on apache-mod_perl-base (closes: #29932)